ApiImpalaUtilizationHistogramBin (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiImpalaUtilizationHistogramBin

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiImpalaUtilizationHistogramBin

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiImpalaUtilizationHistogramBin
      extends Object

  Histogram bin of Impala utilization.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiImpalaUtilizationHistogramBin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiImpalaUtilizationHistogramBin` | `endPointExclusive(BigDecimal endPointExclusive)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getEndPointExclusive()` end point (exclusive) of the histogram bin.
    `BigDecimal` | `getNumberOfImpalaDaemons()` Number of Impala daemons.
    `BigDecimal` | `getStartPointInclusive()` start point (inclusive) of the histogram bin.
    `int` | `hashCode()`
    `ApiImpalaUtilizationHistogramBin` | `numberOfImpalaDaemons(BigDecimal numberOfImpalaDaemons)`
    `void` | `setEndPointExclusive(BigDecimal endPointExclusive)`
    `void` | `setNumberOfImpalaDaemons(BigDecimal numberOfImpalaDaemons)`
    `void` | `setStartPointInclusive(BigDecimal startPointInclusive)`
    `ApiImpalaUtilizationHistogramBin` | `startPointInclusive(BigDecimal startPointInclusive)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiImpalaUtilizationHistogramBin

          public ApiImpalaUtilizationHistogramBin()

  - ### Method Detail

    - #### startPointInclusive

          public ApiImpalaUtilizationHistogramBin startPointInclusive(BigDecimal startPointInclusive)

    - #### getStartPointInclusive

          public BigDecimal getStartPointInclusive()

      start point (inclusive) of the histogram bin.
      Returns:
        startPointInclusive

    - #### setStartPointInclusive

          public void setStartPointInclusive(BigDecimal startPointInclusive)

    - #### endPointExclusive

          public ApiImpalaUtilizationHistogramBin endPointExclusive(BigDecimal endPointExclusive)

    - #### getEndPointExclusive

          public BigDecimal getEndPointExclusive()

      end point (exclusive) of the histogram bin.
      Returns:
        endPointExclusive

    - #### setEndPointExclusive

          public void setEndPointExclusive(BigDecimal endPointExclusive)

    - #### numberOfImpalaDaemons

          public ApiImpalaUtilizationHistogramBin numberOfImpalaDaemons(BigDecimal numberOfImpalaDaemons)

    - #### getNumberOfImpalaDaemons

          public BigDecimal getNumberOfImpalaDaemons()

      Number of Impala daemons.
      Returns:
        numberOfImpalaDaemons

    - #### setNumberOfImpalaDaemons

          public void setNumberOfImpalaDaemons(BigDecimal numberOfImpalaDaemons)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.